<template>
  <div class="error-message">
    <i :class="['icon', icon]"></i>
    {{ message }}
  </div>
</template>

<script>
  export default {
    name: 'errorMessage',
    
    props: {
      icon: {
        type: String,
        default: 'info'
      },

      message: {
        type: String, 
        required: true
      },
    }
  }
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";
@import '~common-components/src/static/css/variables';

.error-message {
  padding: 20px;
  width: 100%;
  display: flex;
  @include font-mixin(14px, 18px, 400, $color-text-base);
  background-color: $color-white-lilac;

  .icon {
    margin-right: 20px;
    color: $color-blue-navy-blue;
    font-size: 24px;
  }
}
</style>